---
title: "Get available advertiser targeting types"
type: reference
method: GET
path: /rest-api/advertiser/{advertiserId}/targeting/types.do
tag: "Targeting Rules"
---

# Get available advertiser targeting types

`GET https://YOUR-NETWORK-DOMAIN/rest-api/advertiser/{advertiserId}/targeting/types.do`

Returns a JSON array of targeting types available for the specified advertiser, filtered by the current user's permissions. Each targeting type that the user has the required permission for is included in the result. Requires UPDATE permission on the advertiser and MANAGE_DEMAND_TARGETING user permission.

## Path params

| Name | Type | Required | Example | Description |
|---|---|---|---|---|
| `advertiserId` | integer | yes | `1234` | Unique numeric ID of the advertiser |

## Responses

- `200` — Success
- `400` — Bad request — invalid or missing parameters
- `401` — Unauthorized
- `403` — Forbidden
- `404` — Advertiser not found
- `500` — Internal server error

## Example request

```bash
curl --request GET \
  --url 'https://YOUR-NETWORK-DOMAIN/rest-api/advertiser/1234/targeting/types.do' \
  --header 'X-Api-Key: YOUR_API_KEY'
```

Source: https://epom.com/ad-server/docs/api/targeting-rules/get-advertiser-targeting-types